Subject: Re: [eman] Comments on draft-ietf-eman-energy-aware-mib-03

From: Benoit Claise <[email-masked]>
Date: Mon, 13 Feb 2012 14:36:15 +0100

Thanks Ira,

See inline,
> Hi,
>
> Thanks for your excellent review Bill.
>
> Two comments:
>
> (1) Single object string lengths greater than 1023 octets
> might not pass over Ethernet links w/out fragmentation.
> I would be cautious about using 2048 for TCs.
I've been looking for advice in RFC 4181 about  the size of an OCTET 
STRING related to fragmentation, but could not find anything
Actually, do we care? Thanks to IPv6 PMTU, the end nodes in IPv6 are 
able to determine the max size of packets to send.
Note: maybe not many networks are managed through IPv6 now, but that's 
behind the point.

So the question is: should we foreseen big enough, i.e (SIZE (0..2048)), 
or 2048 is unrealistic for EnergyObjectList and EnergyObjectKeywordList ?

EnergyObjectList ::= TEXTUAL-CONVENTION

STATUScurrent

DESCRIPTION

"A list of Energy Object Universally Unique Identifiers (UUIDs).

The UUIDs must comply to the RFC 4122 specifications.

The object contains URIs and, therefore, the syntax of this object must 
conform to RFC 3986, section 2.

Multiple URIs may be present and are separated by white space 
characters.Leading and trailing white space characters are ignored."

REFERENCE

"RFC 3986, Uniform Resource Identifiers (URI): Generic Syntax, section 
2, August 1998.

RFC 4122, Uniform Resource Identifier (UUID) URN Namespace, July 2005."

SYNTAX OCTET STRING (SIZE (0..2048))

   EnergyObjectKeywordList ::= TEXTUAL-CONVENTION

STATUScurrent

DESCRIPTION

"A list of keywords that can be used to group Energy Objects for 
reporting or searching. If multiple keywords are present, then this 
string will contain all the keywords separated by the ',' character. 
White spaces before and after the commas are excluded, as well as within 
a keyword itself.

For example, if an Energy Object were to be tagged with the keyword 
values 'hospitality' and 'guest', then the keyword list will be 
'hospitality,guest'."

SYNTAX OCTET STRING (SIZE (0..2048))

>
> (2) While the UUID *itself* in RFC 4122 is 16 octets, the
> total length expressed *as a URI* in the ABNF and example
> on page 4 is exactly 45 octets:
>
> urn:uuid:f81d4fae-7dec-11d0-a765-00a0c91e6bf6
Good catch. That might actually increase the size of 
EnergyObjectKeywordList

Let me get back to the initial question, with this correction:
How many UUID can we have in a list? Note that, even a  "A UUID is 128 
bits long" [RFC4122], the total length expressed as a URI in the ABNF is 
45 octets.
This Textual Convention would be applied to the following objects

               |  +-------------------------------------------+
               |--|   EO Child Relationships (optional)       |
               |  | ----------------------------------------- |
               |  |  eoMeteredBy (Parent(s) UUID list)        |
               |  |  eoPoweredBy (Parent(s) UUID list         |
               |  |  eoDependentOf (Parent(s) UUID list)      |
               |  |  eoAggregatedBy (Parent(s) UUID list      |
               |  |  eoProxyBy (Parent(s) UUID list)          |
               |  +-------------------------------------------+
               |
               |
               |  +-----------------------------------------+
               |--|   EO Parent Relationships (optional)    |
                  | --------------------------------------- |
                  |  eoChildrenList (Child(ren) UUID list)  |
                  +-----------------------------------------+

The object that would contain the most UUID is eoChildrenList. So how 
many Children can a parent have? 10, 15, 100?

Regards, Benoit.

>
> Cheers,
> - Ira
>
> Ira McDonald (Musician / Software Architect)
> Chair - Linux Foundation Open Printing WG
> Secretary - IEEE-ISTO Printer Working Group
> Co-Chair - IEEE-ISTO PWG IPP WG
> Co-Chair - TCG Trusted Mobility Solutions WG
> Chair - TCG Embedded Systems Hardcopy SG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music/High North Inc
> http://sites.google.com/site/blueroofmusic
> http://sites.google.com/site/highnorthinc
> mailto:[email-masked] <mailto:[email-masked]>
> Winter  579 Park Place  Saline, MI  48176  734-944-0094
> Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434
>
>
>

---

From: "John Parello (jparello)" <[email-masked]>
Date: Wed, 15 Feb 2012 15:00:25 -0800

Hi,

So for point of reference we've seen at most about 500 children for a
parent but the average is typically < 100. 

If  you have the field defined at 64K you can easily accommodate 1000
children.  Seems sufficient to me.

Jp

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Benoit Claise (bclaise)
Sent: Monday, February 13, 2012 5:36 AM
To: Ira McDonald
Cc: [email-masked]; Mielke,William F (Bill)
Subject: Re: [eman] Comments on draft-ietf-eman-energy-aware-mib-03

<deletia> 

Regards, Benoit.

________________________________